# xapian.h File Reference

Public interfaces for the Xapian library. More...

## Namespaces

namespace | Xapian

## Functions

const char * | Xapian::version_string ()
| Report the version string of the library which the program is linked with.
const char * | Xapian::xapian_version_string ()
| For compatibility with Xapian 0.9.5 and earlier.
int | Xapian::major_version ()
| Report the major version of the library which the program is linked with.
int | Xapian::xapian_major_version ()
| For compatibility with Xapian 0.9.5 and earlier.
int | Xapian::minor_version ()
| Report the minor version of the library which the program is linked with.
int | Xapian::xapian_minor_version ()
| For compatibility with Xapian 0.9.5 and earlier.
int | Xapian::revision ()
| Report the revision of the library which the program is linked with.
int | Xapian::xapian_revision ()
| For compatibility with Xapian 0.9.5 and earlier.

## Detailed Description

Public interfaces for the Xapian library.